# Copyright 1999-2024. WebPros International GmbH. All rights reserved.

# This Python module is designed to implement specific changes for mailing2.
#
# It is meant to be used with the 'mailman withlist' command, expecting
# the target list to be passed as an argument named 'mlist'. The 'mailman' utility
# will automatically pass the list.
#
# The module should only be called through the mailman utility, as it relies
# on the context prepared by the utility. Attempting to call the module in any
# other way may result in "uninitialized context" problems.

def get_owners(mlist):
    for owner_address in mlist.owner:
        print(owner_address)


# Make sure you call it with -l to lock maillist
def set_encrypted_password(mlist, enc_next_password):
    mlist.password = enc_next_password
    mlist.Save()


def get_encrypted_password(mlist):
    print(mlist.password)
